Results 1 to 2 of 2

Thread: Mover um objeto, sem utilizar o comando "move" no lisp

  1. #1
    Member
    Join Date
    2012-05
    Location
    Brasil
    Posts
    6
    Login to Give a bone
    0

    Default Mover um objeto, sem utilizar o comando "move" no lisp

    > Olá pessoal
    >
    > Se eu tivesse tantas respostas como tenho dúvidas, seria rico...
    >
    > Bom, estou tentando mover um objetos utilizando o visual lisp.
    > seguem o código...
    >
    > (defun c:dd ()
    > (vl-load-all)
    > (setq bb (entsel "teste entidade"))
    > (setq ent_bb (vlax-ename->vla-object (car bb)))
    > ;ler propriedades
    > (vlax-get-property ent_bb "length")
    > ;lista ações e propriedade do objeto.
    > (vlax-dump-object ent_bb T)
    >
    > (setq po1 (list 0 0 0))
    > (setq po2 (list 500 0 0))
    > (vlax-invoke-method ent_bb "Move" po1 po2)
    > );defun
    >
    > por algum motivo, quando chegar o "vlax-invoke-method", dá o seguinte erro...
    >
    > ; error: lisp value has no coercion to VARIANT with this type: (0 0 0)
    >
    > alguém sabe o porquê disto???
    >
    > mais uma vez, obrigado pela atenção de todos...
    >

  2. #2
    Member
    Join Date
    2008-08
    Location
    Brazil.
    Posts
    41
    Login to Give a bone
    0

    Default Re: Mover um objeto, sem utilizar o comando "move" no lisp

    Edmar, me desculpe, mas o que esta querendo fazer com este lisp? Nao entendi a solução.

Similar Threads

  1. Replies: 8
    Last Post: 2012-08-18, 01:31 AM
  2. QUE SE HIZO EL COMANDO "AECINSPECT"
    By cadia in forum Español - AutoCAD Civil 3D
    Replies: 5
    Last Post: 2009-01-11, 12:31 AM
  3. Replies: 3
    Last Post: 2008-12-29, 10:58 AM
  4. Problemas como comando "_ai_molc"
    By agnaldo.guedes in forum Português - Customização / Programação
    Replies: 2
    Last Post: 2008-02-19, 01:12 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •